/*css selectors*/
/*universal selector (*) - targets all elements*/
*{
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/*
	type selector (tag name) - targets elements with the specified type/tag name.
*/

h1{
	/*!important - it will override*/
	color: black !important;
	text-align: center;
	font-size: 2rem;
}



/*ID Selector (#id-name) - targets elements according to its ID attribute// targeting unique element*/
#zuitt-motto{
	letter-spacing: 5px;
}


/*class selector (.class-name)- target elements acc to its class attribute, ideally used for targeting multiple elements at once*/

.offering-item{
	/*text-transform property changes the font case*/
	text-transform: uppercase;
}

/*attribute selector (attribute="value"/tagname[attribute]) - targets elements w/ a specified element attrib*/

input[required]{
	border-width: 2px;
	border-style: solid;
	border-color: navy;
	width: 90%;
}

/*CSS selector combinators*/
/*adjacent sibling selector (+) - select the sibling element that is directly after another specified element*/

h3 + img, img{
	height: 	300px;
	width: 	300px;
	border-radius: 	150px;

}

/*descendant selector (whitespace) - matches all elements that are descendants of a specified elements*/

#bootcamp-learning-list li {
	color: #075966;
}

/*general sibling selector (~) - select all elements that are nxt sibling of a specified element*/

/*multiple selector (,) - allows us to use multiple selectors for one rule or styling*/

h2 ~ a, a{
	text-decoration: none;
}

/*child selector (>) - select all elements that are direct children of specified element*/

section > form > label{
	color:  rgb(0, 0, 128);
}

body{
	background-color: skyblue;
}

html{
	scroll-behavior: smooth;
}

nav{
	background-color: white;
}

/*pseudo class*/
 /*changes style when hovered over*/

 a:hover{
 	background-color: #b4d6de;
 }

 div{
 	display: inline-block;
 	float: right;

 }

 section {
 	height: 100vh;
 	text-align: center;
 }

 h2{
 	font-size: 1.5rem;
 }

 ol{
 	list-style-type: none;
 }

 form{
 	text-align: center;
 	background-color: white;
 	border: 2px solid black;
 	height: 185px;
 	width: 25vw;
 	position: relative;
 	left: 37.25%;
 }

 button{
 	background-color: #cf0053;
 	color: white;
 	border: 0;
 	border-radius: 15px;
 }